Page MenuHomePhabricator

math extension: integral expressions display with boxes/frames/borders
Closed, ResolvedPublic

Description

Author: david025

Description:
Screenshot showing bug (boxes/borders/frames)

This is a possible bug in the math extension of the Wikipedia editing language. I'm not sure whether this is a MediaWiki bug. If not, I need to be instructed gently as to where to submit it.

Environment: environment-insensitive (browsers tested: FF 4.1.0 and 9.0.1)
Applies to: current public Wikipedia
Example: http://en.wikipedia.org/wiki/Laplace_transform#Properties_and_theorems
Screenshot: www.springtimesoftware.com/temp-boxes.jpg (also attached)

Description:

As seen in the screenshot, the individual components of the integration expression in the first column of the "Frequency integration" table entry (as well as others) are erroneously highlighted by boxes/frames/borders.

Details:

The math representation language is controlled by user preferences. It may either generate HTML or a PNG image. One of these is buggy as described above, the other is not. Because many users have their preferences set so they do not see the bug, it has not been noticed.

Suggested possible solutions:

  1. Set the default math preferences so that the bug is not seen by users who have not specified any preference.
  1. Fix the bug by removing the boxes/frames/borders.
  1. Acknowledge the bug and state that it will not be fixed, or will be fixed in a future release.

Additional information:

Here is the Wikipedia:Talk discussion of this bug, which may be helpful:

Confusing boxes (frames)

Those entries in the table in the Properties and theorems section that contain integral symbols are incorrectly formatted by default to display the expressions using boxes or frames, as viewed in Firefox 8.0. I haven't learned the language used to represent such expressions, so I can't fix this problem. Integral expressions appearing outside of this table are displayed correctly, and in a nice, distinctive, bold italic font. Probably there is an entry in WP-space that describes how to use this language. Can anyone help? David Spector (talk) 21:42, 29 December 2011 (UTC)

I'm not sure I understand what you mean. Do you know how to take a screenshot? The equations should be rendered by default as embedded images, so it doesn't make any sense why they would look good in one place and not another. Sławomir Biały (talk) 22:25, 29 December 2011 (UTC)

I can understand your confusion if you don't see the problem. It happens because a different sublanguage is used at the two places (look at the wiki source). I've created a temporary screenshot where you can see the boxes. This might be a Firefox bug. David Spector (talk) 11:38, 30 December 2011 (UTC)

Now I see. I was able to reproduce this issue by going into My preferences and selecting under the Math header HTML if possible or else PNG. You can fix this issue by selecting instead HTML if very simple or else PNG (which I thought was the default, but maybe that's changed). Anyway, obviously there is an issue with the Wikipedia software (or possibly a limitation inherent to CSS.) If necessary, these formulas can be fixed for all users by adding to the end of each of them (inside the <math> tags) a "\,\!" (without the quotes) Sławomir Biały (talk) 11:57, 30 December 2011 (UTC)

Thanks for the excellent analysis. Since this seems to be a real bug, I am submitting it as a bug. Will report status here. David Spector (talk) 15:06, 30 December 2011 (UTC)


Version: unspecified
Severity: normal

Attached:

Details

Reference
bz33434

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 12:02 AM
bzimport set Reference to bz33434.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Dec 30 2011, 3:25 PM

Tagging for robla's group to look at

Same problem as bug 30485. The deal is in wrongly defined wikitable stylesheets. I'll try to patch it by the end of year.

brion added a comment.Dec 30 2011, 6:05 PM

We're phasing out the HTML output modes which would include the table output where this would happen -- it won't exist anymore in MediaWiki 1.19.

In the meantime, if you adjust your math settings to anything other than 'HTML if possible or else PNG' you won't see this problem come up.

Note that the current default preference ('HTML if very simple or else PNG') will not show these HTML tables, so most people should never encounter this issue to begin with.

Resolving as WONTFIX based on the above notes.

david025 wrote:

I hope that the phase-out of HTML support will be done in such a way that those (like myself) who currently choose it will be automatically informed or switched to the PNG image output option. This will have the benefit of dealing with bugs such as this one.

However, if you do nothing with personal preferences, then the bug may remain visible to users throughout Wikipedia, depending on how you roll out these future changes.

Thank you for your attention to this issue, and to your future care in considering what happens to those who currently choose HTML output.

I am not expert in any of this, so I rely on you to consider each aspect.

Fixed in r107669.